Skip to main content
GET
/
6
/
{hashid}
/
_suggest
Suggestions
curl --request GET \
  --url https://{search_zone}-search.doofinder.com/6/{hashid}/_suggest \
  --header 'Authorization: <api-key>'
[ "Sugg", "Suggest", "Suggestion" ]

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Path Parameters

hashid
string
required

Unique id of a search engine.

Query Parameters

indices
string[]

Your search engine is composed by one or many Indices. With the indices parameter you can specify to search within one specific Index. If this parameter is not provided, the search will work with all Indices.

For instance, if you want to search within the "product" Index you should use the following query:

indices[]=product

In case you want to search within multiple Indices, the query will be:

indices[]=product&indices[]=page

The order of the values do not affect the results order.

Note that [ and ] characters should be escaped (%5B and %5D) in all cases.

query
string

The search term. It must be escaped and it cannot be longer than 200 characters or 10 words.

session_id
string

The current session ID, must be unique for each user. Identifier of search session

Maximum string length: 32
user_id
string

Identifies the user, must be unique for each user. Identifier of user

Maximum string length: 36
stats
boolean

Enable/Disable this search in stats reports. Default: true

Response

OK

Example:
["Sugg", "Suggest", "Suggestion"]